Subject: Re: [RFC PATCH] net: introduce HW Rate Limiting Driver API

From: Jakub Kicinski <[email-masked]>
Date: Wed, 5 Jun 2024 12:40:11 -0700

On Wed, 05 Jun 2024 17:52:32 +0200 Paolo Abeni wrote:
> > Looking a bit into the future now...
> > I am nowadays thinking about extending the mlx5 VF group rate limit
> > feature to support VFs from multiple PFs from the same NIC (the
> > hardware can be configured to use a shared shaper across multiple
> > ports), how could that feature be represented in this API, given that
> > ops relate to a netdevice? Which netdevice should be used for this
> > scenario?  
> 
> I must admit we[1] haven't thought yet about the scenario you describe
> above. I guess we could encode the PF number and the VF number in the
> handle major/minor and operate on any PF device belonging to the same
> silicon, WDYT?

Just a minor clarification. _Internally_ we can support expressing VF /
PF shaping. uAPI for that continues to be devlink, right?